extends Scene


# Called when the node enters the scene tree for the first time.
func _ready():
	super()
	pass # Replace with function body.


# Called every frame. 'delta' is the elapsed time since the previous frame.
#func _process(delta):
#	pass


func _on_entranceexit_interacted():
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.say(self.ego, "It's a hot air baloon", false)
		)
		.and_then(ScriptBuilder.say(self.ego, "Just like gramps' one."))
		.build(self, "_on_script_complete"))
	pass # Replace with function body.



func _on_healers_interacted():
	$healers.default_script(self)
